For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • POSTVerify OTP
LogoLogo
LoginTalk to us
API ReferenceFyno Verify

Verify OTP

POST
https://api.fyno.io/v1/:WSID/:version/verify/validate
POST
/v1/:WSID/:version/verify/validate
$curl -X POST "https://api.fyno.io/v1/FYXXXXXXXX/live/verify/validate?request_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&destination=xxxxxxxxxx&otp=1234" \
> -H "Authorization: Bearer <apiKey>"
1{
2 "_message": "OTP successfully validated.",
3 "status": "ok"
4}

This API enables you to validate the OTP entered by the user using either request_id (received in response of the Fire an Event API) or destination (such as phone number, email).

Was this page helpful?
Previous

Get user profile

Next
Built with

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionenumRequiredDefaults to live
Specify the version for which you would like to manage the user profile.
Allowed values:

Query parameters

request_idstringOptional

Specify the request id of the triggered notification event that sent the OTP to the user.
You must use this query parameter if you’ve disabled “Use destination as id” in the Fyno Verify setting.

destinationstringOptional

Enter the destination where the OTP is sent. It can be either mobile no or email id.
You must use this query parameter if you’ve enabled “Use destination as id” in the Fyno Verify setting.

otpstringRequired
Enter the OTP which you want to validate.

Response

OTP successfully validated
_messagestring
statusstring

Errors

400
Bad Request Error
401
Unauthorized Error